> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxpay.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Withdrawals

> GET /v2/withdrawals — list all withdrawals with optional filters.

## Query parameters

| Parameter               | Type    | Description                                      |
| ----------------------- | ------- | ------------------------------------------------ |
| `limit`                 | integer | Max results per page (default: `20`, max: `100`) |
| `offset`                | integer | Pagination offset (default: `0`)                 |
| `group_id`              | string  | Filter by whitelist group ID                     |
| `address`               | string  | Filter by destination address                    |
| `receive_currency_code` | string  | Filter by currency code (e.g. `USDT`, `BRL`)     |

## Response `200 OK`

Each item in `results` has the same shape as the [Get Withdrawal](/noxpay-docs-v2/api-reference/withdrawals/get) response.

<RequestExample>
  ```bash theme={null}
  curl "https://checkout.noxpay.io/v2/withdrawals?limit=20&offset=0" \
    -H "api-key: <key>"
  ```

  ```python theme={null}
  import requests

  response = requests.get(
      "https://checkout.noxpay.io/v2/withdrawals",
      headers={"api-key": "<key>"},
      params={"limit": 20, "offset": 0},
  )
  print(response.json())
  ```

  ```javascript theme={null}
  const params = new URLSearchParams({ limit: 20, offset: 0 });
  const response = await fetch(
    `https://checkout.noxpay.io/v2/withdrawals?${params}`,
    { headers: { "api-key": "<key>" } }
  );
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "version": "v2",
    "total": 3,
    "limit": 20,
    "offset": 0,
    "results": []
  }
  ```
</ResponseExample>
